/* k 0046       08-09-90        */
/* k 0119       08-02-91        */
/***********************************
 * RH - REQUEST-RESPONSE HEADER    *
 ***********************************/
/* Overall bit inversing */				/* @0046 */
struct rh {                                             /* @0119 */
  unsigned char rh[3];
/*  struct {                  @0119
  unsigned eci:1;   * end chain indicator; for RSP always set to 1   *
                    * combination of bci & eci means:  *
                    * 00 - middle RU in chain          *
                    * 01 - last RU in chain            *
                    * 10 - first RU in chain           *
                    * 11 - only RU in chain            *
  unsigned bci:1;   * begin chain indicator; for RSP always set to 1 *
  unsigned sdi:1;   * sense data indicator: 1 - sense data included  *
  unsigned fi:1;    * format indicator:                              *
                    *  for LU-LU FMD requests 1 = FMH follows         *
                    * for other FMD requests 1 = field-formatted RU  *
                    * for all other requests always set to 1         *
                    * for LU-LU FMD +RSP  always set to  0           *
                    * for other FMD responses 1 = field-formatted RU *
                    * for all other responses always set to 1        *
  unsigned rsv1:1;  * reserved *
  unsigned cat:2;   * category:           *
                    * 00 - FMD   01 - NC  *
                    * 10 - DFC   11 - SC  *
  unsigned rsp:1;   * 0 - request, 1 - response *
  unsigned pi:1;    * pacing request-response indicator *
  unsigned qri:1;   * queued response indicator         *
                    * 0 - response bypasses TC queues   *
                    * 1 - enqueue response in TC queues *
  unsigned rsv3:2;  * reserved *
  unsigned erti:1;  * for requests 1 = exception RSP required *
                    * for responses 0 = +RSP, 1 = -RSP        *
  unsigned dr2i:1;  * definite response 2 indicator *
  unsigned rsv2:1;  * reserved *
  unsigned dr1i:1;  * definite response 1 indicator *
  unsigned fa:1;    * 1 - RU from application *
  unsigned pdi:1;   * padded data indicator                 *
                    * 1 = RU was padded before encipherment *
  unsigned edi:1;   * enciphered data indicator *
  unsigned csi:1;   * code selection indicator *
  unsigned rsv4:1;  * reserved *
  unsigned cdi:1;   * change direction indicator *
  unsigned ebi:1;   * end bracket indicator *
  unsigned bbi:1;   * begin bracket indicator *
      } bits;                                  */
   };
#define FMD 0
#define NC  1
#define DFC 2
#define SC  3
#define  ECI   1       /* @0119 */
#define  BCI   2       /* @0119 */
#define  SDI   4       /* @0119 */
#define  FI    8       /* @0119 */
#define  CAT   32      /* @0119 */   /* multiplier */
#define  RSP  128      /* @0119 */
#define  PI    1       /* @0119 */
#define  QRI   2       /* @0119 */
#define  ERTI  16      /* @0119 */
#define  DR2I  32      /* @0119 */
#define  DR1I 128      /* @0119 */
#define  FA    1       /* @0119 */
#define  PDI   2       /* @0119 */
#define  EDI   4       /* @0119 */
#define  CSI   8       /* @0119 */
#define  CDI   32      /* @0119 */
#define  EBI   64      /* @0119 */
#define  BBI  128      /* @0119 */
